/*=== CORES GLOBAIS ===*/

:root {
    --cor1: #FFD400;
    --cor2: #fff;
    --cor3: #19C0EA;
    --cor4: #1d1d1d;
    --INSCRICAO: #000;
    
    --el-bg-header: #1890CD; /* Sincronizado com --BG1 */
    --el-text-primary: #ffffff;
    --el-accent: #000000;    
    --el-font: 'Roboto', sans-serif;
    --el-transition: all 0.25s cubic-bezier(0.25, 1, 0.5, 1);
    --el-header-height: 80px;

    --borderradius1: 18px;
    --borderradius2: 60px;
    --gap1: 16px;

    /* Categorias */
    --k5: #FFE600;
    --k10: #FFA033;
    --k15: #40E0D0;
    --k21: #9C192B;
}

/*=== AJUSTES ==========================*/

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: var(--el-font);
}

html {
    scroll-behavior: smooth;
}

/*=== CORES ==========================*/

.gciheader {
  background: linear-gradient(
    90deg,
    color-mix(in srgb, var(--cor1) 88%, transparent),
    color-mix(in srgb, var(--cor3) 88%, transparent)
  ), url("midia/percursobg.webp");
}

.el-nav-menu.is-active {
    background-color: var(--cor1);
}

.popup-header{
  background-color: var(--cor1);
}

.faq-trigger:hover, .faq-item.active .faq-trigger {
    background-color: var(--cor1);
    color: #fff ;
}

/*=== TIPOGRAFIA ==========================*/

@font-face {
  font-family: 'rustico';
  src: url('midia/Rustico-Regular.otf') format('opentype');
  font-weight: normal;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Make';
  src: url('midia/Make/texgyreadventor-regular.otf') format('opentype');
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Make';
  src: url('midia/Make/texgyreadventor-italic.otf') format('opentype');
  font-weight: 400;
  font-style: italic;
  font-display: swap;
}

@font-face {
  font-family: 'Make';
  src: url('midia/Make/texgyreadventor-bold.otf') format('opentype');
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Make';
  src: url('midia/Make/texgyreadventor-bolditalic.otf') format('opentype');
  font-weight: 700;
  font-style: italic;
  font-display: swap;
}

h1 {
    font-family: 'make', sans-serif;
    font-weight: 700;
    font-style: italic;
    font-size: 7rem;
    text-transform: uppercase;
    color: #ffffff;
}

h2 {
    font-family: 'make', sans-serif;
    font-size: 40px;
    font-weight: 600;
    text-transform: uppercase; 
}

p {
    font-family: 'Roboto', sans-serif;
    font-size: 15px;
    line-height: 23px;
    color: #000;
}

.titulo1 { 
    font-family: 'make', sans-serif;
    font-size: 40px;
    font-weight: 600;
    text-transform: uppercase; 
}

.titulo2 { 
    font-size: 28px;
    font-weight: 600;
    text-transform: uppercase; 
}

/*=== C - CONTAINER ==========================*/

section {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
}

.gc1 { 
    background-color: var(--cor2);
    scroll-margin-top: 60px; 
}

.gc2 {
    background-color: var(--cor1);
    scroll-margin-top: 60px;
}

.gc3{
    background-color: var(--cor2);
    scroll-margin-top: 40px; 
    padding: 40px 0px 0px 0px;
}

.gci1 {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    height: 100%;
    width: 100%;
    max-width: 1920px;
    padding: 120px 64px 64px;
}

.gci2{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    height: 100%;
    width: 100%;
    max-width: 1280px;
    padding: 64px 40px;
    gap: 64px;
}

.gci3{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    height: 100%;
    width: 100%;
    max-width: 1280px;
    padding: 16px 40px;
    gap: 64px;
}



.gct1 {
    display: flex;
    flex-direction: column;
    gap: 20px;
    width: 60%;
}

/*=== BOTÃO ==========================*/

.botão1 {
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: var(--borderradius1); 
    background-color: #181818;
    color: #ffffff;
    text-decoration: none;
    font-size: 14px;
    font-weight: 500;
    padding: 8px 20px;
    text-align: start;
}


.btn-info {
    background-color: #181818;
    color: #ffffff;
    text-decoration: none;
    font-size: 16px;
    font-weight: 500;
    padding: 20px 16px;
    text-align: start;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    transition: background 0.3s;
    border-radius: var(--borderradius1);
}

.btn-info svg {
    height: auto;
    width: 16px;
    fill: white;
}

.btn-info:hover {
    background-color: #555555;
}

/*-- botao 2 -*/
.botao2 {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 8px;
    text-decoration: none;
    padding: 16px;
    color: #000;
    font-size: 18px;
    font-weight: 600;
    text-transform: uppercase;
    cursor: pointer;
    width: 100%;
    border-radius: var(--borderradius2);
}

.botao2.per1 { background-color: var(--k5); }
.botao2.per2    { background-color: var(--k10); }
.botao2.per3   { background-color: var(--k15); }
.botao2.per4   { background-color: var(--k21); }

.botao2 svg {
    width: 16px;
    height: auto;
    fill: #000;
}


.btn-ancora{
    display: flex;
    gap: 8px;
}

.aconra-texto{
    font-size: 14px;
}




/*== C - MODELO DE GRID ======================*/

.modelogrid1 {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: var(--gap1);
    width: 100%;
}

.modelogrid2 {
    display: grid;
    grid-template-columns: 30% 40% 30%;
    width: 100%;  
    height: 560px; 
}



/*== C - MODELO DE CARD ======================*/
.card1 {
    display: flex;
    flex-direction: column;
    gap: 20px;
}


/*=== C - BANNER ===*/
#banner {
    display: flex;
    flex-direction: column;
    height: 100vh;
    background: linear-gradient(to top, rgba(10, 10, 10, 0.3) 0%, rgba(0, 0, 0, 0.4) 50%), url("midia/banner1.jpg") no-repeat center/cover fixed;
}

.banner1 {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 8px;
    height: 100%;
}

.banner1 h1{
    color: var(--cor1);
}

.banner1 p{
    font-family: 'make', sans-serif;
    font-size: 40px;
    font-weight: 600;
    color: var(--cor1);
    font-style: italic;
    margin-top: -12px;
}

.banner2 {
    display: flex;
    width: 100%;
    justify-content: space-between;
    align-items: flex-start;
    gap: 40px;
}

.banner2-1 {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 8px;
    width: 600px;
}


.btn-texto{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 12px;
}

.btn-texto p{
    color: white;
}


/*== COMPONENTE: TIMER ==*/
.timer {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 16px;
    background-color: white;
    padding: 16px;
    min-width: 360px;
    border-radius: var(--borderradius1);
}

.tm-box {
    display: flex;
    flex-direction: column;
    text-align: center;
    justify-content: center;
    padding: 8px;
    gap: 4px; 
}

.tm-box span {
    font-size: 40px;
    font-weight: 400;
    color: #000;
}

.tm-box p {
    font-size: 10px;
    font-weight: 400;
    text-transform: uppercase;
    color: #000;
}


/*=== SECTION: SOBRE ===*/

#sobre .GC11 {
    align-items: flex-start;
}

#sobre .GCT1{
    width: 100%;
}

.info-meta {
    display: flex;
    gap: 24px;      
}

.meta-item {
    display: inline-flex;
    align-items: center;
    gap: 8px;      
    color: #000;  
    font-size: 16px;
    font-weight: 500;
}

.meta-icon {
    width: 18px;
    height: 18px;
    fill: #000; 
}



.CC1 {  
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-end;
    height: 360px;
    padding: 16px;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    overflow: hidden;
    position: relative;
    border-radius: var(--borderradius1);
}

.CIMG1 { background-image: linear-gradient(rgba(0, 0, 0, 0.199), rgba(0, 0, 0, 0.5)), url('midia/sobre10.jpg'); }
.CIMG2 { background-image: linear-gradient(rgba(0, 0, 0, 0.199), rgba(0, 0, 0, 0.5)), url('midia/sobre20.jpg'); }
.CIMG3 { background-image: linear-gradient(rgba(0, 0, 0, 0.199), rgba(0, 0, 0, 0.5)), url('midia/sobre15.jpg'); }

.numero {
    font-family: 'make', sans-serif;
    font-size: 17rem;
    font-weight: 9  00;
    color: white;
    position: absolute;  
    top: -20px;          
    right: -10px;
    letter-spacing: -1rem;
}

.texto1 {
    font-size: 16px;
    color: white;
    text-align: center;
    text-transform: uppercase;
}

.CARD P {
    text-align: justify;
}

/*=== SECTION: PERCURSOS ===*/

.percursos {
    display: flex;
    flex-direction: column;
    gap: 16px;
    width: 100%;
    border-radius: var(--borderradius1);
}

.cardpercurso {
    display: flex;
    width: 1920px;
    height: 560px;
    scroll-margin-top: 120px; 
    border-radius: var(--borderradius1);
    background-color: #000;
}

/* --- COLUNA 1: CTA --- */
.coluna-cta {
    display: flex;
    flex-direction: column;
    padding: 16px;
    gap: 32px;
    width: 100%;
    justify-content: center;
    align-items: center;
    border-radius: var(--borderradius1) 0px 0px var(--borderradius1);
}

#per1 .coluna-cta{
    background: linear-gradient( 180deg, color-mix(in srgb, var(--cor1) 88%, transparent), color-mix(in srgb, var(--k5) 88%, transparent)), url("midia/percursobg.webp");
}

#per2 .coluna-cta{
    background: linear-gradient( 180deg, color-mix(in srgb, var(--cor1) 88%, transparent), color-mix(in srgb, var(--k10) 88%, transparent)), url("midia/percursobg.webp");
}

#per3 .coluna-cta{
    background: linear-gradient( 180deg, color-mix(in srgb, var(--cor1) 88%, transparent), color-mix(in srgb, var(--k15) 88%, transparent)), url("midia/percursobg.webp");
}

#per4 .coluna-cta{
    background: linear-gradient( 180deg, color-mix(in srgb, var(--cor1) 88%, transparent), color-mix(in srgb, var(--k21) 88%, transparent)), url("midia/percursobg.webp");
}

.coluna-text{
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.km-titulo {
    font-family: 'rustico', sans-serif;
    font-size: 7.5rem;
    color: #000;
}

.km-subtitulo {
    font-size: 1rem;
    font-weight: 500;
    letter-spacing: 2px;
    color: #000;
}

.botao-inscricao {
    background-color:var(--INSCRICAO);
    color: #fff;
    text-decoration: none;
    font-weight: 700;
    text-align: center;
    padding: 20px 12px;
    text-transform: uppercase;
    transition: background 0.3s;
    border-radius: var(--borderradius1);
}

.botao-inscricao:hover {
    background-color: var(--INSCRICAO);
}

/* --- COLUNA 2: CENTRAL --- */
.coluna-central {
    display: flex;
    flex-direction: column;
    width: 100%;
    padding: 20px;
    justify-content: center;
    align-items: center;
    background: linear-gradient(rgba(27, 27, 27, 0.9), rgba(27, 27, 27, 1)), url("midia/percursobg.webp") no-repeat center/cover;
    border-radius: 0px var(--borderradius1) var(--borderradius1) 0px;
}

.grid-botoes {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 8px;
    width: 100%;
}

.coluna-central .botao-inscricao {
    display: none;
}

/* --- COLUNA 3: IMAGEM (DIREITA) --- */
.coluna-imagem {
    width: 100%;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

#per1 .coluna-imagem   { background-image: url('midia/per61.jpg'); }
#per2 .coluna-imagem   { background-image: url('midia/per62.jpeg'); }
#per3 .coluna-imagem   { background-image: url('midia/per63.jpeg'); }
#per4 .coluna-imagem   { background-image: url('midia/per64.jpeg'); }

/*=== SECTION: KIT ATLETA ===*/


.item-lista {
  display: flex;
  align-items: center;
  margin-bottom: 8px;
}

.kit1 {
    display: flex;
    flex-direction: column;
    gap: 16px;
    width: 100%;
}

.kit2 {
    display: flex; 
    gap: 16px;
}

.kit21 {
    display: flex;
    justify-content: center;
    align-items: center;
    background: url("mida/breve.webp") no-repeat center/cover;
    width: 70%;
    border-radius: var(--borderradius1);
}

#kitatleta .kit21{
    width: 100%;
    height: 60vh;
    border-radius: var(--borderradius1);
}

.kit21 h2{
    font-size: 5rem;
}

#kitembreve  .kit21 {
    background-image: url('midia/5\ -\ Percusos\ -\ Em\ breve.webp');
    width: 100%;
    height: 80vh;
}

#kitatleta .kit21 {
    background-image: url('midia/em-breve-kit.webp');
    
}

#premiacao .kit21 {
    background-image: url('midia/em-breve-trofeu.webp');

}

.kit22, .kit3 {
    display: flex;
    flex-direction: column;
    padding: 32px;
    gap: 20px;
    background-color: white;
    border-radius: var(--borderradius1);
}

.kit22 { width: 30%; }

#kitatleta .btn-info {
    width: 30%;
}

/*== SEÇÃO - PROGRAMAÇÃO ===================================*/

.programa1 {
    background-color: var(--cor1);
    padding: 20px;
    border-radius: var(--borderradius1);
}

.programa1 p {
    font-size: 14px;
    line-height: 20px;
}

/*== SEÇÃO - OUTRAS INFORMAÇÕES E DOWNLOADS ===================================*/

.background1{
    display: flex;
    flex-direction: column;
    align-items: start;
    width: 100%;
    padding: 40px 40px;
    gap: 64px;
    border-radius: var(--borderradius1);
    background: linear-gradient(90deg, var(--cor1), var(--cor3));
}


/*== SEÇÃO - MIDIDA E APOIO ===================================*/

.grid-apoio {
  display: grid;
  grid-template-columns: repeat(4, 1fr) ; 
  gap: 4px ;
  align-items: center ;
  justify-items: center;
}

.grid-apoio img {
  width: 100% ;
  height: auto;
}

#midia .grid-apoio {
  display: grid;
  grid-template-columns: repeat(1, 1fr) ; 
  gap: 4px ;
  align-items: center ;
  justify-items: center;
}

#apoio .grid-apoio {
  display: grid;
  grid-template-columns: repeat(1, 1fr) ; 
  gap: 4px ;
  align-items: center ;
  justify-items: center;
  width: 300px;
}

#apoio .grid-apoio img:nth-child(1) {
  grid-column: 2;
}

#apoio .grid-apoio img:nth-child(2) {
  grid-column: 3;
}

/*== FOOTER ===================================*/

footer {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-color: var(--cor3)
}

footer .gci2{
    flex-direction: row;
}

.footer3 {
    display: flex;
    flex-direction: column;;
    gap: 16px; 
}


.footer-sociais {
    display: flex;
    gap: 16px; 
}

.icone-circulo {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 40px;
    height: 40px;
    background-color: var(--cor4); 
    border-radius: 50%;       
    transition: transform 0.2s ease, background-color 0.2s ease;
}

.icone-circulo svg {
    width: 20px;
    height: 20px;
    fill: #fff; 
}

.footer-menu {
    display: flex;
    list-style: none;   
    padding: 0;
    margin: 0;
    gap: 20px;
}

.footer-menu a {
    color: var(--cor4);
    font-size: 18px;
    font-weight: 500;
    text-decoration: none;
}





@media (max-width: 1280px){

/*=== C - CONTAINER ==========================*/


.gci1 {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    height: 100%;
    width: 100%;
    max-width: 1920px;
    padding: 120px 20px 64px;
}

.gci2{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    height: 100%;
    width: 100%;
    max-width: 1280px;
    padding: 64px 40px;
    gap: 64px;
}

.gci3{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    height: 100%;
    width: 100%;
    max-width: 1280px;
    padding: 16px 40px;
    gap: 64px;
}



.gct1 {
    display: flex;
    flex-direction: column;
    gap: 20px;
    width: 60%;
}

    .banner2-12 {
    grid-template-columns: repeat(4, 1fr);
    }
}




/* === MOBILE === */
@media (max-width: 798px) {
    
/*== m - tipografia ==================================*/ 

h1 {
    font-size: 3rem;
}

h2 {
    font-size: 32px;
}

.titulo1 { 
    font-family: 'make', sans-serif;
    font-size: 40px;
    font-weight: 600;
    text-transform: uppercase; 
}

.titulo2 { 
    font-size: 28px;
    font-weight: 600;
    text-transform: uppercase; 
}

/*=== M - CONTAINER ==========================*/

.gci1 {
    padding: 40px 18px;
}

.gci2{
    padding: 40px 18px;
    gap: 40px;
}

.gci3{
    padding: 8px 18px;
}

/*== M - MODELO DE GRID ======================*/

.modelogrid1 {
    grid-template-columns: repeat(1, 1fr);
}

.modelogrid2 {
    grid-template-columns: 1fr;  
    height: 80vh; 
}

#programacao .modelogrid1{
   grid-template-columns: repeat(1, 1fr); 
}




    .el-nav-menu {
            background-color: var(--COR1);
    }

    .el-nav-item.el-has-dropdown:hover .el-submenu {
        opacity: 1;
        visibility: visible;
        transform: translateX(-50%) translateY(0);
    }

    .el-nav-item.el-has-dropdown:hover .el-chevron-icon {
        transform: rotate(180deg);
    }

    


/*== m - banner ==*/

.banner1 p{
    font-size: 24px;
}


.banner2-1 {
    grid-template-columns: repeat(2, 1fr);
    gap: 8px;
    width: 100%;
}

.botao-ancora {
    padding: 16px;
}

.banner2 {
    flex-direction: column;
}

.timer {
    padding: 0px;
    width: 100%;
}

.tm-box span {
    font-size: 36px;
}

/*== M - PERCURSOS ==================*/

.coluna-cta {
    align-items: center; 
    border-radius: var(--borderradius1) var(--borderradius1) 0px 0px;
}

.coluna-cta .botao-inscricao {
    display: none;
}

.coluna-central {
    gap: 20px;
    padding: 16px;
    border-radius: 0px 0px var(--borderradius1) var(--borderradius1);
}

.grid-botoes {
    grid-template-columns: 1fr;
}

.botao-inscricao {
    width: 100%;
}

.coluna-imagem {
    display: none;
}

#kids .coluna-cta .botao-inscricao {
    display: block;
}

#kids .coluna-cta{
    height: 40vh;
}

    

    /*== SECTION: KIT DO ATLETA ==*/
    .kit21 h2{
        font-size: 3rem;
    }

    .kit2 {
        flex-direction: column;
    }

    .kit21 {
        height: 40vh;
        width: 100%;
        
    }

    .kit22 {
        background-color: white;
        width: 100%;
    }

    #kitatleta .btn-info {
        width: 100%;
    }

    .grid-botoes2 {
        grid-template-columns: 1fr;
    }

    .btn-largo {
        grid-column: span 1;
        width: 100%;
    }

  

    .coluna-central .botao-inscricao {
        display: block;
    }

    .grid-apoio {
        grid-template-columns: repeat(2, 1fr);
        gap: 40px;
    }


    #apoio .grid-apoio {
        grid-template-columns: repeat(2, 1fr) ; 
    }

    #apoio .grid-apoio img:nth-child(1) {
    grid-column: 1;
    }

    #apoio .grid-apoio img:nth-child(2) {
    grid-column: 2;
    }



/*== m - footer ===================================*/

footer .gci2{
    flex-direction: column;
}

.footer3 {
    align-items: center; 
}



}